Loading...
Searching...
No Matches
dcbytstr.h File Reference

base class for all DICOM value representations storing a character string More...

## Classes

class | DcmByteString
| base class for all DICOM value representations storing a character string More...

## Functions

DCMTK_DCMDATA_EXPORT void | normalizeString (OFString &string, const OFBool multiPart, const OFBool leading, const OFBool trailing, const char paddingChar=' ')
| normalize the given string value, i.e. remove leading and/or trailing padding

## Variables

DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableVRCheckerForStringValues
| This flag defines whether the VR checker is actually used by the various checkStringValue() methods.
string normalization flags.
These flags can be used with normalizeString() to specify the extent of normalization.
const OFBool | DELETE_TRAILING = OFTrue
| delete trailing spaces
const OFBool | DELETE_LEADING = OFTrue
| delete leading spaces
const OFBool | MULTIPART = OFTrue
| handle string as multi-valued (components separated by a backslash)

## Detailed Description

base class for all DICOM value representations storing a character string

## Function Documentation

## normalizeString()

DCMTK_DCMDATA_EXPORT void normalizeString | ( | OFString & | string,
|  | const OFBool | multiPart,
|  | const OFBool | leading,
|  | const OFBool | trailing,
|  | const char | paddingChar = ' ' )

normalize the given string value, i.e. remove leading and/or trailing padding

Parameters

  string | input and output string value to be normalized
  multiPart | handle string as multi-valued if OFTrue
  leading | delete leading spaces if OFTrue
  trailing | delete trailing spaces if OFTrue
  paddingChar | padding character to be removed (usually a space)

## Variable Documentation

## dcmEnableVRCheckerForStringValues

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableVRCheckerForStringValues

extern

This flag defines whether the VR checker is actually used by the various checkStringValue() methods.

Since this checker is currently limited to ASCII and Latin-1, and the detection of the character set might fail for incorrectly encoded DICOM datasets, this check can be disabled globally. Please note, however, that other checks (i.e. VM and max. value length) are still performed if the optional parameters are set accordingly. By default, the VR checker is enabled (value: "OFTrue").

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0